Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053405 - Migrate failed with: unexpected migration status in setup
Summary: Migrate failed with: unexpected migration status in setup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-15 08:00 UTC by zhoujunqin
Modified: 2014-06-18 01:02 UTC (History)
5 users (show)

Fixed In Version: libvirt-1.1.1-19.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:53:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
The libvirtd's log . (2.75 MB, text/plain)
2014-01-15 08:00 UTC, zhoujunqin
no flags Details
The qemu log for guest q2 (4.83 KB, text/plain)
2014-01-15 08:01 UTC, zhoujunqin
no flags Details

Description zhoujunqin 2014-01-15 08:00:34 UTC
Created attachment 850371 [details]
The libvirtd's log .

Description of problem:
Migrate failed with: unexpected migration status in setup

Version-Release number of selected component (if applicable):
kernel-3.10.0-67.el7.x86_64
libvirt-1.1.1-18.el7.x86_64
qemu-kvm-rhev-1.5.3-36.el7.x86_64
qemu-img-1.5.3-36.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Define and start a domain, specify the physical cpuset using "cpuset" attribute of vcpu element. xml as follows:
...
  <vcpu cpuset='2'>4</vcpu>
...
# virsh dumpxml q2
  <vcpu placement='static' cpuset='2'>4</vcpu>
2. Check vcpu pin info
# virsh vcpuinfo q2
VCPU:           0
CPU:            2
State:          running
CPU time:       6.9s
CPU Affinity:   --y-----

VCPU:           1
CPU:            2
State:          running
CPU time:       1.1s
CPU Affinity:   --y-----

VCPU:           2
CPU:            2
State:          running
CPU time:       1.2s
CPU Affinity:   --y-----

VCPU:           3
CPU:            2
State:          running
CPU time:       1.2s
CPU Affinity:   --y-----
3. Migrate the domain to taget host:
# virsh migrate --live <guestname> qemu+ssh://<target_host_ip>/system
error: internal error: unexpected migration status in setup

4.It works well  on rhel6.5

Actual Results:
Failed to migrate with error:unexpected migration status in setup
Expected results:
Should migrate the guest to the target successfully

Additional info:

Comment 1 zhoujunqin 2014-01-15 08:01:56 UTC
Created attachment 850372 [details]
The qemu log for guest q2

Comment 5 zhe peng 2014-01-24 03:38:18 UTC
Can reproduce this with libvirt-1.1.1-18.el7.x86_64.
verify on libvirt-1.1.1-19.el7.x86_64

step:
1.Define and start a domain, specify the physical cpuset using "cpuset" attribute of vcpu element. xml as follows:
...
  <vcpu cpuset='2'>4</vcpu>
...
# virsh dumpxml test
  <vcpu placement='static' cpuset='2'>4</vcpu>
2:# virsh vcpuinfo test
VCPU:           0
CPU:            2
State:          running
CPU time:       8.3s
CPU Affinity:   --y-

VCPU:           1
CPU:            2
State:          running
CPU time:       1.6s
CPU Affinity:   --y-

VCPU:           2
CPU:            2
State:          running
CPU time:       1.4s
CPU Affinity:   --y-

VCPU:           3
CPU:            2
State:          running
CPU time:       2.2s
CPU Affinity:   --y-

3: do migration
# virsh migrate --live test qemu+ssh://$target_IP/system --verbose
Migration: [100 %]
4: check vcpuinfo
# virsh vcpuinfo test
VCPU:           0
CPU:            2
State:          running
CPU time:       0.0s
CPU Affinity:   --y---------

VCPU:           1
CPU:            2
State:          running
CPU time:       0.0s
CPU Affinity:   --y---------

VCPU:           2
CPU:            2
State:          running
CPU Affinity:   --y---------

VCPU:           3
CPU:            2
State:          running
CPU Affinity:   --y---------

verification passed. move to verified.

Comment 6 Ludek Smid 2014-06-13 10:53:18 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.